blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
36877876210248de10f5b4d4dca31fc36bd7550d | Shell | fakenumbers/fakenumbers.github.io | /scripts/bulkcheck.sh | UTF-8 | 1,022 | 3.890625 | 4 | [
"CC0-1.0"
] | permissive | #!/bin/bash
dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
if [ $# -lt 1 ]; then
echo "Usage: bulkcheck.sh <category> [<list.file>]";
echo "Checks a newline-separated list of numbers against all numbers in <category>."
echo "Prints \"Found <number>\" on match in CLI mode, or just ... | true |
7468fcc864925f0f0dfabafe8d0ee6716ec7d1b6 | Shell | sahsu/docker-gron | /init.sh | UTF-8 | 357 | 2.859375 | 3 | [] | no_license | #!/bin/sh
GRONURL=https://github.com/tomnomnom/gron/releases/download/v`cat gron.latest | sed -e 's;gron-;;g'`/gron-linux-386-`cat gron.latest | sed -e 's;gron-;;g'`.tgz
cat > Dockerfile << QQ
FROM alpine
MAINTAINER sahsu.mobi@gmail.com
RUN mkdir /app
WORKDIR /app
ADD $GRONURL /app/gron.tgz
RUN tar -xvf gron.tgz && c... | true |
26f4a2a21f0c6db41c3361a7e56c05a8e5541457 | Shell | 0x78f1935/BotZilla_LEGACY | /database/wait-for-db | UTF-8 | 354 | 3.359375 | 3 | [] | no_license | #!/bin/bash
CONTAINER_ID=$1
until PGHOST=127.0.0.1 PGPORT=6079 PGUSER=postgres PGDATABASE=gis psql -c 'select 42;'; do
#if [[ $(docker inspect --format '{{.State.Running}}' $CONTAINER_ID 2>&1 > /dev/null) != 'true' ]]; then
# echo "Container died"
# exit 2
#fi
echo "Waiting for Database to c... | true |
d2f807454365b866eeb6adef9507a62b501f5fb4 | Shell | RacerMod/android_device_zte_mooncake | /extract-files.sh | UTF-8 | 4,847 | 3.578125 | 4 | [] | no_license | #!/bin/sh
# Copyright (C) 2011-2013 The CyanogenMod Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applica... | true |
de29f58baa66fe6c7b13a468d1283e69165ed33e | Shell | darrengriffith/spark-mahout-vagrant | /bootstrap-spark.sh | UTF-8 | 2,941 | 2.84375 | 3 | [] | no_license | #!/usr/bin/env bash
echo ======================
echo == PREPARING CENTOS ==
echo ======================
yum -y update
# For Python
yum -y groupinstall development
yum -y install zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel
# For Mahout
yum -y install opencl-headers
yum -y install redhat-lsb-core
... | true |
1df6831a3c9bb74e4ce8a181ddf981e145fa97e8 | Shell | Zqadiri/ft_services | /srcs/grafana/health.sh | UTF-8 | 190 | 2.765625 | 3 | [] | no_license | #!/bin/sh
# grafana
ps | grep -v grep | grep grafana-server
pr=$?
if [ $pr -ne 0 ];
then
exit $pr;
fi
# Telegraf
ps | grep -v grep | grep telegraf
pr=$?
if [ $pr -ne 0 ];
then
exit $pr;
fi | true |
a19e1f40e0485d0da7e26722c91683145fe67235 | Shell | mikedotexe/audius-protocol | /content-service/scripts/migrate_contracts.sh | UTF-8 | 263 | 2.78125 | 3 | [
"Apache-2.0"
] | permissive | if [ -d "../contracts/build/contracts" ]
then
echo "Audius contracts repo is present"
cd ../contracts/
node_modules/.bin/truffle exec scripts/_contractsLocalSetup.js -run-audlib
else
echo "INCORRECT REPOSITORY STRUCTURE. PLEASE FOLLOW README"
exit 1
fi
| true |
9e0ff61f5a17029b758dcc01b5d8c3034df87e07 | Shell | emazzotta/dotfiles | /bin/slugify | UTF-8 | 186 | 3.40625 | 3 | [] | no_license | #!/bin/bash
if test "${1}"; then
echo "${@}" | sed -e 's/[^[:alnum:]]/-/g' | tr -s '-' | tr '[:upper:]' '[:lower:]'
else
echo "usage: $(basename "${0}") <string_to_slugify>"
fi
| true |
4d2bb39c6d4ec88b6cc461b853f037e77457dc66 | Shell | bismog/leetcode | /sh/nocasematch.sh | UTF-8 | 205 | 3.203125 | 3 | [
"MIT"
] | permissive | str1="MATCH"
str2='match'
shopt -s nocasematch
case $str1 in
$str2) echo 'match';;
*) echo 'not match';;
esac
awk -v s1=$str1 -v s2=$str2 'BEGIN {
if(tolower(s1) == tolower(s2))
print "match"
}'
| true |
eca8aaebe54c6603dfef79caba2ce957520a39ce | Shell | brylie/cc-licenses | /ssh_wrapper.sh | UTF-8 | 736 | 3.71875 | 4 | [
"MIT",
"CC0-1.0",
"LicenseRef-scancode-free-unknown",
"CC-BY-NC-4.0",
"LicenseRef-scancode-public-domain",
"CC-BY-NC-ND-4.0"
] | permissive | #!/bin/sh
#
# We configure git to use this script instead of just /usr/bin/ssh.
# This script is used so we can pass some options to ssh when git uses it.
set -o errexit
set -o nounset
# Ensure required environment variables are present
[ -n "${PROJECT_ROOT}" ]
[ -n "${TRANSLATION_REPOSITORY_DEPLOY_KEY}" ]
# Ensure S... | true |
c73f8cf21b81a75f69f85f639bf7801b73541288 | Shell | MaxKhlupnov/LoT | /Common/Bolt/Tools/scripts/tsdb/eda/eda-client.sh | UTF-8 | 2,324 | 3.578125 | 4 | [] | no_license | #!/bin/bash
server="lot-linux.cloudapp.net"
port="4242"
totalhomes=1
totalruns=1
startdate="2011/05/01-00:00:00"
enddate1mon="2011/05/31-00:00:00"
enddate6mon="2011/10/31-00:00:00"
enddate1yr="2012/04/30-00:00:00"
function getstd()
{
data=$1
l=$2
mean=0
sd=0
for (( i=1 ; i<=$l... | true |
993cb0dfdebb0f19aabae036d9a7fbe632ad09d2 | Shell | andrewp-as-is/sqlite-examples | /CSV/full/run.sh | UTF-8 | 393 | 3.15625 | 3 | [
"Unlicense"
] | permissive | #!/usr/bin/env bash
{ set +x; } 2>/dev/null
db="$(mktemp)" || exit
f="${BASH_SOURCE[0]%/*}"/data.csv
#
sqlite3 "$db" <<EOF
CREATE TABLE stable_table (id TEXT PRIMARY KEY,value TEXT);
INSERT INTO stable_table VALUES (1,'value1'), (2,'value2');
.mode csv
.import '$f' tmp_table
.mode list
UPDATE tmp_table
SET value=s... | true |
21e2adbcba8cb65a9435cdf75c5ba33a2c9e0020 | Shell | RobinRadic/RadicOS | /dvd | UTF-8 | 961 | 3.765625 | 4 | [] | no_license | #!/bin/bash
rootdir=$PWD
makesuse() {
local temp_dvd_dir=$rootdir/installer/tmpcd
local iso_output_dir=$rootdir/installer/output
local original_iso_dir=$rootdir/installer/original-iso
local action=$1
if [ $action == "-i" ]; then
rm -rf $temp_dvd_dir
elif [ $action == "-C" ]; then
... | true |
e7ea12bf73af5126a7a548b639a9d9452872ccb5 | Shell | dlasserre/SMProtocol | /download | UTF-8 | 736 | 3.203125 | 3 | [] | no_license | #!/bin/sh
### BEGIN INIT INFO
# Provides: download
# Required-Start: $local_fs $remote_fs $network $syslog $named
# Required-Stop: $local_fs $remote_fs $network $syslog $named
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# X-Interactive: true
# Short-Description: Start/stop download serve... | true |
f312b6d9d4b043d2cdca985bc7174db4a312226b | Shell | Dhilibanachilles/ShellProgramming | /Selection-statement/leapYear.sh | UTF-8 | 222 | 3.171875 | 3 | [] | no_license | #!/bin/bash -x
read year
if [[ ( $year%400 -eq 0 ) ]]
then
echo "leap year"
elif [[ ( $year%100 -eq 0 ) ]]
then
echo "not a leap year"
elif [[ ( $year%4 -eq 0 ) ]]
then
echo "leap year"
else
echo "not a leap year"
fi
| true |
dd85391e1b6a320f518a21743b692900c12681ce | Shell | cbuquicchio/dotfiles | /configure.sh | UTF-8 | 449 | 3.796875 | 4 | [] | no_license | dir=~/dotfiles
olddir=~/dotfiles_old
files="bashrc bash_profile ctags gitconfig vim vimrc"
echo -n "Creating $olddir for backup of existing dotfiles in ~..."
mkdir -p $olddir
echo "done"
echo -n "Changing to the $dir directory..."
cd $dir
echo "done"
for file in $files;
do
echo "Moving any existing dotfiles from ~... | true |
bf61ef54e2e8db819073f51ee7e2634665f0b1dc | Shell | hyu-scslab/vDriver | /PostgreSQL/Figure_16_effect_of_record_size/script_main.sh | UTF-8 | 4,592 | 3.34375 | 3 | [] | no_license | #!/bin/bash
PORT=5439
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"/
cd $DIR
# path of each script
POSTGRESQL_DATA=$DIR"../PostgreSQL/data/"
POSTGRESQL_SERVER_SCRIPT=$DIR"../PostgreSQL/postgres_script/script_server/"
POSTGRESQL_CLIENT_SCRIPT=$DIR"../PostgreSQL/postgres_script/script_client... | true |
cf4901d8bd78dbadff5308294b22132ba434cc8b | Shell | ckaestne/TypeChef-BusyboxAnalysis | /nightly.sh | UTF-8 | 1,319 | 2.953125 | 3 | [] | no_license | cd gitbusybox
git pull > gitstatus
if [ "$1" = "--force" ]
then
echo Skipping git check.
else
grep "Already up-to-date" gitstatus > /dev/null
if [ $? == 0 ];
then
echo "No git updates. Quitting."
exit
else
echo "Starting checking..."
fi
fi
cd ..
./prepareGit.sh
./cleanBusyboxGit.sh
./cleanBusyboxGitAST... | true |
470b6ddd875ed7b711099cb7c32216f968a7d870 | Shell | CalvinGolas/linProj | /run.sh | UTF-8 | 576 | 2.515625 | 3 | [] | no_license | export headOne="<head><title>Dalton's Kitchen</title></head>"
export headTwo="<head><title>Dalton's Sink</title></head>"
export bodyOne="<body><p><a href = "/var/www/html/A/A.html">Boop</a></p></body>"
export bodyTwo="<body><p>We've even thrown in the kitchen sink!</p></body>"
#enter var/www/html
cd /var/www/html
#pla... | true |
9becd0d2a083658cd3eee78c688a0eaab4213966 | Shell | nyotiemon/dockerfile-collection | /timescaledb/centos7-pg11/start_containers.sh | UTF-8 | 839 | 3.203125 | 3 | [] | no_license | #! /bin/bash
echo "Stop and remove old setup"
docker stop ts1 ts2
docker rm ts1 ts2
docker volume rm ts-vol1 ts-vol2
docker network rm ts-net
echo "Build ts"
docker build --rm -t cents .
echo "Create network & volumes"
docker volume create ts-vol1
docker volume create ts-vol2
docker network create ts-net
echo "Start... | true |
52f14316394ccf35860c1b0f9f3fb6940868555e | Shell | akdutt/bash | /eight.sh | UTF-8 | 1,081 | 2.953125 | 3 | [] | no_license | String Comparison Result
string1 == string2 True if the strings are equal
string1 != string2 True if the strings are not equal
-n string True if the string is not null
-z string True if the string is null (an empty string)
Arithmetic Comparison Result
expression1 -eq expression2 True if the expressions... | true |
c86f3dd0464d5e50fd92bc7f5ad71d40b4dd6aa1 | Shell | TemptorSent/SysBuildTools | /mkimage.sh | UTF-8 | 6,385 | 3.71875 | 4 | [] | no_license | #!/bin/sh
# apk add \
# abuild apk-tools alpine-conf busybox fakeroot syslinux xorriso
# (for efi:) mtools dosfstools grub-efi
# FIXME: clean workdir out of unneeded sections
# FIXME: --release: cp/mv images to REPODIR/$ARCH/releases/
# FIXME: --update-latest: rewrite latest-releases.yaml with this build
set -e
sc... | true |
7225550f5d83e04691d63cfeaccc6b15e6d0c975 | Shell | algorithmiaio/langpacks | /r/template/bin/setup | UTF-8 | 1,102 | 2.890625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
set -e
DEBIAN_FRONTEND=noninteractive
echo "deb http://cran.rstudio.com/bin/linux/ubuntu trusty/" >> /etc/apt/sources.list
apt-key adv --keyserver keyserver.ubuntu.com --recv-keys E084DAB9
apt-get -y update
apt-get install -y r-base
apt-get install -y r-base-dev
apt-get install -y libcurl4-gnutls-dev # T... | true |
9bd555ef13118ac72be37bc21a38560fb123132f | Shell | prabhakar9885/Text-Summarization | /processAllData.sh | UTF-8 | 688 | 3.203125 | 3 | [] | no_license | #!/bin/bash
inputFolder="../TEST_docs_Parsed/"
humanSummary="../Test_Summaries/"
dirlist=($(ls -1 "$inputFolder"))
algoList=(1 2 3)
for algo in "${algoList[@]}"
do
for dir in ${dirlist[*]}
do
echo "----------------------------------------"
echo "Processing "$dir
dirName="$inputFolder$dir"
rougFileName="ROUG... | true |
90127d033a2d0aa709265603b9d58e35bfbd98e9 | Shell | glennehrlich/bin | /build_tcservice_dependencies.sh | UTF-8 | 2,693 | 3.875 | 4 | [] | no_license | #!/usr/bin/env bash
# Script for building minimal services and executables for testing
# tcservice.
BC2_REPOS_TOP=~/git/bc2
BC2_RUNTREE_TOP=~/bc2
function build_executable
{
local repo=$1
local executable=$2
echo
echo "============================================================"
echo "building ... | true |
71bb429dbfe6bbc26df136f85bfa20297a3c3acd | Shell | robertoblancoancos/TPM_Forensics | /3-timing_attack_software_tpm/ibm_tpm_customizations/start_software_tpm.sh | UTF-8 | 972 | 2.796875 | 3 | [] | no_license | #!/bin/sh
# Set env. variables for SW TPM server
export TPM_PATH=/home/roberto/ibm_tpm/nv_storage
export TPM_PORT=6545
export TPM_SERVER_PORT=6545
export TPM_SERVER_NAME=localhost
export TPM_SESSION=oiap
# Stop Tousers service (probably linked to the hardware TPM)
service tcsd stop
# Stop other tasks that might be r... | true |
6b52fef2e27a673ec51ac3872f683cb5d55bbca6 | Shell | pdeyhim/aws-rum | /run.sh | UTF-8 | 319 | 2.640625 | 3 | [] | no_license | #!/bin/sh
if [ ! -f target/amazon-rum-dynamodb-0.0.1-SNAPSHOT-jar-with-dependencies.jar ]; then
echo "First time using this tool. Generating the required packages"
mvn compile assembly:single
fi
echo "Running DDB Connector"
java -cp target/amazon-rum-dynamodb-0.0.1-SNAPSHOT-jar-with-dependencies.jar:conf/ $1
| true |
a1827d18e0154b499a5717419ebefaee6eb66fdb | Shell | caseyrodgers/cm | /bin/monitor_cpu.sh | UTF-8 | 1,135 | 3.765625 | 4 | [] | no_license | #!/bin/sh
#
# return current CPU usage for CM (tomcat instance), MySQL, or httpd (Apache)
#
case $1 in
mysql)
pid=`ps -eo pid,user,args | grep mysql | grep port | egrep -v "grep|java" | awk '{print $1}'`;
cpu=`pidstat 1 1 -p $pid | grep Average | awk '{print $6}'`;
echo -n $cpu;
;;... | true |
dfb972795d1fc8c21de632eaadd4db5f256c1037 | Shell | yoshinorim/rqg | /concurrency/queryAndDataMod/sh/partition.sh | UTF-8 | 423 | 2.8125 | 3 | [] | no_license | #!/bin/bash
#
testDB=$1
pidsFile=/tmp/partitionDrop.pids
#
# Launch cpimport
$MYRHOME/concurrency/queryAndDataMod/sh/partitionCpimport.sh $testDB &
echo $! >> $pidsFile
# Launch partition operations
$MYRHOME/concurrency/queryAndDataMod/sh/partitionDrop.sh $testDB &
echo $! >> $pidsFile
#
# Wait for b... | true |
de16b8ffaf1ab0a2a0bf685613783a842f7ee9f8 | Shell | lorisunjunbin/pipy | /deps/libexpat-R_2_2_6/expat/distribute.sh | UTF-8 | 410 | 3.296875 | 3 | [
"OpenSSL",
"ISC",
"MIT",
"BSL-1.0",
"LicenseRef-scancode-warranty-disclaimer"
] | permissive | #! /bin/bash
# Copyright (C) 2018 Sebastian Pipping <sebastian@pipping.org>
# Licensed under the MIT license
#
# Creates release tarball and detached GPG signature file for upload
set -e
PS4='# '
set -x
version="$(./conftools/get-version.sh lib/expat.h)"
archive=expat-${version}.tar.bz2
./buildconf.sh
./configure
m... | true |
6bc4fc46c362e70afca153e28d31ab4ef2a3d77a | Shell | sherl0cks/jupyter-notebooks | /minimal-notebook/builder/run | UTF-8 | 259 | 2.953125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
set -x
set -eo pipefail
# Start the Jupyter notebook instance.
if [ x"$JUPYTER_INTERFACE_TYPE" = x"lab" ]; then
exec jupyter lab --no-browser --ip=0.0.0.0 --port=8080
else
exec jupyter notebook --no-browser --ip=0.0.0.0 --port=8080
fi
| true |
edb6abe825b92cb1314936c21ceb1ead4dfa3119 | Shell | ProsAndCons/bin | /junk/cntr | UTF-8 | 146 | 2.96875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
shopt -s checkwinsize; (:;:)
while read -r line; do
printf '%*s\n' "$(((${#line}+COLUMNS)/2))" "$line"
done < "${1:-/dev/stdin}"
| true |
1c9138f4b950512f9386a54b0040b287c77bbc6b | Shell | Ensembl/VersioningService | /travisci/harness.sh | UTF-8 | 767 | 2.671875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
ENSDIR="${ENSDIR:-$PWD}"
export PERL5LIB=$ENSDIR/bioperl-live:$ENSDIR/ensembl/modules:$ENSDIR/ensembl-test/modules:$ENSDIR/ensembl-production/modules:$ENSDIR/ensembl-io/modules:$ENSDIR/ensembl-hive/modules:$ENSDIR/ensembl-taxonomy/modules
export TEST_AUTHOR=$USER
export TEST_POD=1
# skip fuseki server wra... | true |
4d9fa6a7bc387d500d6e0ff1bddbfdba64bacfa6 | Shell | CognizantOneDevOps/Insights | /PlatformDeployment/RHEL8/reference-DocRoot-Scripts/insights_webhook.sh | UTF-8 | 3,387 | 3.0625 | 3 | [
"LGPL-2.0-or-later",
"LGPL-2.1-or-later",
"GPL-2.0-only",
"Apache-2.0",
"LicenseRef-scancode-public-domain",
"BSD-2-Clause",
"CDDL-1.1",
"OFL-1.1",
"MPL-1.1",
"CDDL-1.0",
"MIT",
"BSD-3-Clause",
"EPL-1.0",
"Classpath-exception-2.0",
"W3C",
"GPL-1.0-or-later",
"MPL-2.0"
] | permissive | #-------------------------------------------------------------------------------
# Copyright 2017 Cognizant Technology Solutions
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may not
# use this file except in compliance with the License. You may obtain a copy
# of the License at
#
# htt... | true |
ec9ecc304a6fe77329a2ce4e98f02888d2513272 | Shell | frozenpine/operation_by_bash | /bin/nginx-pub | UTF-8 | 3,070 | 3.9375 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
[[ -L $0 ]] && SCRIPT_FILE=`readlink -fn $0` || SCRIPT_FILE=$0
pushd `dirname "${SCRIPT_FILE}"` >/dev/null
BASE_DIR=`pwd`
popd >/dev/null
source "${BASE_DIR}/module.d/common.sh"
check_env || exit 1
FUNC_FILE_CONFIG="${MODULE_BASE}/config.sh"
FUNC_FILE_REMOTE="${MODULE_BASE}/remote.sh"
import_functions
N... | true |
3f30c6f9013fa7bd03d81102aa01afc209065fc5 | Shell | shaibrown5/cloud_computing | /hw2/deploy_one_node.sh | UTF-8 | 2,027 | 3.171875 | 3 | [] | no_license | # figure out my ip
echo "getting my ip"
MY_IP=$(curl ipinfo.io/ip)
echo "My IP: $MY_IP"
# get subnets for the ELB and vpc id
echo "getting all subnets and vpc id's"
SEC_GROUP=$(aws ec2 describe-security-groups --group-names shaiEladSecGroup | jq -r .SecurityGroups[0].GroupId)
KEY_NAME="shai-elad-key"
NOW=$((1 + $RAN... | true |
6b4b3cfb1c9ec7375e471d24ac787e90f1eb08ad | Shell | longxin1991/seis | /scripts/rmresp.sh | UTF-8 | 1,516 | 3.171875 | 3 | [] | no_license | #!/bin/bash
if [ $# -ne 1 ]
then
echo "usage:rmresp.sh eventfile."
exit 0
fi
EVENTFILE=$1
if [ -f $EVENTFILE ]
then
TYPE=FILE
EVENTS=(`cat $EVENTFILE|awk '{print $1}'`)
else
TYPE=DIR
EVENTS=($EVENTFILE)
fi
FILTRE=(1.0 2.0)
FREQ="0.8 1.0 10 12"
#FREQ="0.8 1 2 2.2"
#FREQ="0.8 1.0 3.0 3.2"
#FREQ="0.1 0.2 0.4 0.... | true |
740a9818f5081bdbcbd5c4278f894e37bd6d94a0 | Shell | Crypto-Nerd/tcdiff | /script.sh | UTF-8 | 280 | 2.703125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
FILENAME=$1
NEWFILENAME=`echo $1 | sed 's/\.\//\.\.\/veracrypt_1\.17_Source\/src\//g'`
DIFFFILENAME=`echo $1.patch | sed 's/\.\//\.\.\/diff\//g'`
#echo $FILENAME $NEWFILENAME $DIFFFILENAME
diff -uB "$FILENAME" "$NEWFILENAME" | install -D /dev/stdin "$DIFFFILENAME"
| true |
cbc803f8cfe27a966beb9d0c08d977e769ca914a | Shell | Soreine/hyper-gwent | /scripts/zipSourceCode.sh | UTF-8 | 418 | 3.59375 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -o errexit
set -o pipefail
set -o nounset
# ----------
# Generate a lightweight archive of the whole source code, to send
# for submission to the Firefox Addons Store.
# ----------
DIST=./dist
# Cleanup
mkdir -p $DIST
# Get all git tracked files
FILES=$(git ls-files)
# Archive it
tar -czf... | true |
83c261d8f0938696d0c7c18caeeadbe72fa834d6 | Shell | timhalford/pybossa-deployment | /bash/setup.sh | UTF-8 | 912 | 2.71875 | 3 | [] | no_license | #!/bin/bash
set -e
set -x
eval $(minikube docker-env)
docker build \
-t redis-sentinel:3.2.0 \
docker/redis-sentinel
kubectl apply -f kube/persistent-volume-claims/postgres-master-db.yml
kubectl apply -f kube/deployments/redis-master.yml
kubectl apply -f kube/deployments/redis-sentinel.yml
kubectl apply -f kube/... | true |
155560a1754d1d02df5a423b7e54ad8027f929c3 | Shell | AnandEmbold/upcxx_1 | /utils/install-common.sh | UTF-8 | 5,058 | 3.953125 | 4 | [
"LicenseRef-scancode-unknown-license-reference",
"BSD-3-Clause-LBNL"
] | permissive | function install_common {
CONDUITS=$(echo $CONDUITS) # newlines become spaces
conduits_pipes="${CONDUITS// /|}"
conduits_commas="${CONDUITS// /, }"
mkdir -p "${DESTDIR}${install_to}/bin"
cat <<EOF >| "${DESTDIR}${install_to}/bin/upcxx-meta"
#!${BASH}
# This file is generated during installation - do not edit... | true |
5cd0e57c1e2534769553e501fb829b3a731a0c09 | Shell | kijiproject/kiji-express | /kiji-express-tools/src/main/scripts/express | UTF-8 | 1,804 | 3.78125 | 4 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
#
# (c) Copyright 2013 WibiData, Inc.
#
# See the NOTICE file distributed with this work for additional
# information regarding copyright ownership.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# Yo... | true |
12706decc2155f6b166d1fd26bd0941b5f594f68 | Shell | doytsujin/asynch_mode_nginx | /test/nginx-config.test | UTF-8 | 2,008 | 2.515625 | 3 | [
"BSD-3-Clause",
"LicenseRef-scancode-warranty-disclaimer",
"BSD-2-Clause"
] | permissive | #!/bin/bash -x
# Copyright (C) Intel, Inc
if [ ! -d "$NGINX_INSTALL_DIR" ]; then
echo "NGINX install directory not been set or does not exist. Run:- export NGINX_INSTALL_DIR=<location you want to install the built nginx server to>\n"
exit 0
fi
if [ ! -d "$OPENSSL_LIB" ]; then
echo "OPENSSL_LIB has not been ... | true |
06403ffd91a87b44277d6d7100a483106a6ad988 | Shell | nephlm/sysadmin | /server/pyenv.sh | UTF-8 | 737 | 3.21875 | 3 | [
"MIT"
] | permissive | #! /bin/sh
# installs pyenv for the current user
REPO_NAME=sysadmin
USERNAME=nephlm
PY_VERSION = 3.5.1
INSTALL_DIR=/opt
GITHUB=https://github.com
sudo apt-get install curl git gcc make zlib1g-dev libbz2-dev libreadline-dev libsqlite3-dev libssl-dev libffi-dev -y
curl -L https://raw.github.com/yyuu/pyenv-installer/... | true |
f9fec2297223455dcc5eac37930eda29e8cceeb3 | Shell | RRZE-HPC/OSACA-CP-2019 | /run_measurements.sh | UTF-8 | 855 | 3.296875 | 3 | [] | no_license | #!/bin/bash
# GAUSS-SEIDEL MEASUREMENTS
# =========================
ARCH=$1
OUT="out.gs.$ARCH.txt"
ITERS=10
mkdir gauss-seidel
cd ./code
# Compile
echo 'Building benchmarks ...'
./build_$ARCH.sh
mv a.gs.$ARCH.Ofast ../gauss-seidel/
mv gs.s.$ARCH.Ofast.s ../gauss-seidel/
cd ../gauss-seidel
# Run benchmarks
echo 'Ru... | true |
e2dd4aaf9a554755fb9ce514c73d583cb85b78e7 | Shell | da99/da | /crystal/sh/bump/_ | UTF-8 | 381 | 2.84375 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env zsh
#
# === {{CMD}}
#
set -u -e -o pipefail
set -x
local +x ORIGINAL_ARGS="$@"
local +x old_ver="$(my_crystal version)"
/apps/my_crystal/bin/__my_crystal bump $@
local +x new_ver="$(my_crystal version)"
echo "OLD: ${old_ver}"
echo "NEW: ${new_ver}"
git add shard.yml
git commit -m "Bump: v${new_ver}"
g... | true |
b0fbb8030b2f0ba597ddc866fe73e028e36c92be | Shell | NapoleonWils0n/cerberus | /bind/bind-dns-adblocking.sh | UTF-8 | 1,382 | 3.0625 | 3 | [] | no_license | #!/bin/bash
# bin dns ad blocking
#====================
# download the blacklist in bind format
#======================================
wget -O bind-adblocking 'http://pgl.yoyo.org/adservers/serverlist.php?hostformat=bindconfig&showintro=0&mimetype=plaintext'
# edit bind-adblocking and change path to zone file ... | true |
21581a53cbb04fc4af8ef48ed77496ac02a79172 | Shell | liuyang1123/speech2text | /utils/build_deepspeech.sh | UTF-8 | 387 | 2.765625 | 3 | [] | no_license | #!/usr/bin/env bash
# This one installs the new virtualenv environment
echo "Building Deepspeech from source"
echo "Getting the GPU version for python programming"
sudo echo #So that it makes installation easier later
#remove the old one first
rm -r DeepSpeech/
#get latest Deepspeech
git clone git@github.com:mozilla... | true |
ee08d3cdbd79191bacad4cd0b47dbdb64c529d2a | Shell | taekyung-kim-kr/code-generator-mod | /script/codegen.sh | UTF-8 | 426 | 2.59375 | 3 | [] | no_license | #!/bin/bash
REPO=${1:-demo}
PKG=${2:-foo}
VER=${3:-v1}
USER=${4:-github.com/taekyung-kim-kr}
OUTPUT=${USER}/${REPO}/pkg/client
INPUT=${USER}/${REPO}/pkg/apis
#./generate-groups.sh all "github.com/taekyung-kim-kr/demo/pkg/client" "github.com/taekyung-kim-kr/demo/pkg/apis" foo:v1 --go-header-file ./hack/boilerplate.go... | true |
90dbf3c1660391dc803bd2d1fe9e0f83899dd209 | Shell | devandy/pol-alpha | /script/install_node.sh | UTF-8 | 817 | 3.109375 | 3 | [] | no_license | #!/bin/sh
##############################################################
#
# Author: Ruslan Khissamov, email: rrkhissamov@gmail.com
#
# Thank you: Alexey Kupershtokh
#
##############################################################
# Update System
echo 'System Update'
apt-get -y update
echo 'Update completed'
# Install... | true |
efe6d34a9a2a355edb282b1cfb6f2375ea3c120d | Shell | mirsimko/bashSettings | /bin/pdsf | UTF-8 | 447 | 3.84375 | 4 | [] | no_license | #!/bin/bash
numberFormat='^[0-9]+$'
if [ -z "$1" ]; then # if the first argument is empty or doesn't exist
ssh -Y simkomir@pdsf.nersc.gov # connect to any node automatically
elif [[ $1 =~ $numberFormat ]] ; then # check if the first argument is a number
echo connecting to ... | true |
7c75ab9e1842f434cf6b7a52ed4e2d4b05e779e9 | Shell | nyxcharon/dotfiles | /work/.profile | UTF-8 | 3,090 | 3.125 | 3 | [] | no_license | # ~/.profile: executed by the command interpreter for login shells.
# This file is not read by bash(1), if ~/.bash_profile or ~/.bash_login
# exists.
# see /usr/share/doc/bash/examples/startup-files for examples.
# the files are located in the bash-doc package.
# the default umask is set in /etc/profile; for setting t... | true |
c7bd5a4a713136bd48afab3464f06be35f919ab6 | Shell | narning/Paleovirology_insects | /go_through_genome_folders_and_blast.sh | UTF-8 | 878 | 2.765625 | 3 | [] | no_license | query=/home/nick/uni/rotation_paleovirology_2018/dataset_collection/virus/all_cds_w_speciesheader_cd-hit_c_097_pluslineage_filter_less_80aa_header_wo_whitespace.fa
for i in ./*_*/
do
cd $i
echo $i
for j in *.fa
do
if [ ! -f ${j}_blast.out ]; then
echo "blastn -query $query -db $j -t... | true |
6aa5ffa263821b623234c7a78d130cd8f9b4bf05 | Shell | gzybola/polynomial-calculator | /chain_poly.sh | UTF-8 | 873 | 3.453125 | 3 | [] | no_license | #!/bin/bash
if [ "$#" -eq 2 ]; then
if [ -x "$1" ]; then
if [ -d "$2" ];then
for f in "$2/"*; do
line=$(head -n 1 "$f");
if [ "$line" == START ] ; then
fil="$f";
fi
done
file=a;
cp -f "$fil" "$file";
sed -i '/START/d' "$file";
lastLine=START;
until [ "$lastLine" == "STOP" ]; do... | true |
4ecfa25677b32d9574d96015f0bf25de61295ce2 | Shell | brunoravi25/Atividades-Shell-Script | /Lista_3/questao2.sh | UTF-8 | 404 | 2.859375 | 3 | [] | no_license | #!/bin/bash
linhas1=$(cat $1 | wc -l)
linhas2=$(cat $2 | wc -l)
linhas3=$(cat $3 | wc -l)
((${linhas1} > ${linhas2})) && ((${linhas1} > ${linhas3})) && echo "O arquivo com mais linhas é o: $1"
((${linhas2} > ${linhas1})) && ((${linhas2} > ${linhas3})) && echo "O arquivo com mais linhas é o: $2"
((${linhas3} > ${linha... | true |
b24d4a91a048282f66bea2233e05df5115064a8f | Shell | cheusov/distbb | /stage_gen_report.in | UTF-8 | 24,781 | 3.625 | 4 | [
"BSD-2-Clause"
] | permissive | #!/bin/sh
# Copyright (c) 2008-2011 Aleksey Cheusov <vle@gmx.net>
# All rights reserved.
#
# See LICENSE file
######################################################################
set -e
. @bindir@/pipestatus
# usage: stage_gen_report BUILD_ID
test $# -eq 1
# init
BUILD_ID="$1"
: ${DISTBB_CONF:=@sysconfdir@/dist... | true |
3f1ab3688fe626aa5b096b363c45a039bbe479ce | Shell | sreuben04/contrast-kubernetes-deployment | /java/init_container/docker/build_images.sh | UTF-8 | 651 | 2.78125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Build Contrast image
IMAGE_NAME=contrast/java-agent
CONTRAST_AGENT_VERSION=3.8.7.21531
BUILD_DATE=$(date)
echo $BUILD_DATE
COMMIT_HASH=$(git rev-parse --verify HEAD)
echo $COMMIT_HASH
docker build . --no-cache \
--build-arg CONTRAST_AGENT_VERSION="$CONTRAST_AGENT_VERSION" \
--build-arg BUILD_DATE="$BUILD_... | true |
618d413024b37dd57bfe6d754ce800b2f3cb9100 | Shell | AleksandarMuradyan/fabric-starter | /test/start.sh | UTF-8 | 244 | 2.921875 | 3 | [] | no_license | #!/usr/bin/env bash
FOLDER=$2
if [ -z $FOLDER ]; then
FOLDER=test
fi
CONFIG_FILE=$1
if [ -z $CONFIG_FILE ]; then
CONFIG_FILE=config.json
fi
export BENCHMARK_FOLDER=$FOLDER
export CONFIG_FILE=$CONFIG_FILE
docker-compose build
docker-compose up | true |
12158fde96998f2653902c21736bdac5f2d9e98e | Shell | bjoris33/humanGutConj_mSystems | /bin/binning_infant_binning.sh | UTF-8 | 440 | 3.125 | 3 | [] | no_license | #!/bin/bash
##############
# Author: Ben Joris
# Created: July 31st, 2020
# Purpose: Bin infant assemblies
##############
threads=20
for i in $(ls ../binning/infant/reads/paired_*_1.fastq.gz);do
bn=`basename $fastq _1.fastq.gz`
IFS="_" read -r -a array <<< $bn
sample=${array[1]}
allbam=`ls ../binning/infant/m... | true |
bf1660bb4908666f846e3750dce30e431c596b18 | Shell | sourcemage/grimoire | /utils/util-linux/init.d/hwclock.sh | UTF-8 | 665 | 3.359375 | 3 | [] | no_license | #!/bin/bash
PROGRAM=/sbin/hwclock
RUNLEVEL=S
NEEDS="+local_fs"
RECOMMENDED=yes
. /etc/init.d/smgl_init
. /etc/sysconfig/hwclock
tz_arg="--localtime"
[ "$UTC" = "yes" ] && tz_arg="--utc"
test -x /sbin/hwclock || exit 5
start()
{
echo "Setting System Time using the Hardware Clock..."
$PROGR... | true |
89c505eb29310019120acef31b4e81392de35d8d | Shell | cofyc/k8s-toolkit | /kubeadm/certificates/generate-for-all-nodes.sh | UTF-8 | 316 | 2.796875 | 3 | [] | no_license | #!/bin/bash
ROOT=$(unset CDPATH && cd $(dirname "${BASH_SOURCE[0]}") && pwd)
cd $ROOT
source ./init.sh
for n in $(kubectl get nodes --no-headers | awk '{print $1}'); do
kubeadm init phase kubeconfig kubelet \
--cert-dir $CERT_DIR \
--node-name $n \
--kubeconfig-dir ./kubelets/$n
done
| true |
24ab81430a4c77c7c61749d1204fa2cf33907d32 | Shell | pengyu1608/SystemPipeR | /submit_SE_rna.sh | UTF-8 | 534 | 2.890625 | 3 | [] | no_license | #!/bin/bash
if [ ! $1 ]
then
echo "Usuage: submit_SE_ChIP.sh <JobName> <InputFile> <Genome>"
exit;
fi
JobName=$1 #
InputFile=$2 #Targets.txt file
Genome=$3; #e.g. mm9, hg19
BaseDIR="/home/yupeng/Work/Project"
WorkDIR=$BaseDIR"/"$JobName
mkdir $WorkDIR;
cp $InputFile $WorkDIR"/Targets.txt"
cd $WorkDIR;
mkdir Q... | true |
d2736679a3554e70749803ad8a9045f83444deff | Shell | lappsgrid-services/ServiceValidator | /docs/components/tokenizers/tokenizers.sh | UTF-8 | 1,734 | 3.46875 | 3 | [] | no_license | #!/bin/bash
# Script to run various tokenizers.
#
# Usage
#
# $ ./tokenizers.sh all|vassar|brandeis|gate|lingpipe
# settings and utilities used by script
source ../splitters/settings.sh
source ../splitters/utils.sh
# Now run the services in groups. Groups are determined by what the invoker
# script is and the fin... | true |
606216d56ecbbbda35a8c4ee16b28e9671073e35 | Shell | visualdensity/visualdensity-distro | /tools/install_rabbit.sh | UTF-8 | 386 | 2.8125 | 3 | [] | no_license | #!/bin/bash
if [[ $EUID -ne 0 ]];
then
echo "Sorry, but this script needs to be run as root!"
exit 1
fi
echo "deb http://www.rabbitmq.com/debian/ testing main" > /etc/apt/sources.list.d/rabbitmq.list
wget https://www.rabbitmq.com/rabbitmq-signing-key-public.asc
apt-key add rabbitmq-signing-key-public.asc
ap... | true |
394d73581b9f0e68f790e3bbbfa99933af9230fc | Shell | rriveramdz/commonhealth-data-map | /data-processing/entrypoint.sh | UTF-8 | 1,045 | 3.6875 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
set -e
if [[ -n "${CDM_DEBUG}" ]]; then
set -x
fi
DATA_PROC_DIR=$1
function usage() {
echo -n \
"Usage: $(basename "$0") DATA_PROC_DIR
Process data for dashboard and write to {DATA_PROC_DIR}/data/published.
"
}
if [ "${BASH_SOURCE[0]}" = "${0}" ]; then
mkdir -p ${DATA_PROC_DIR}/note... | true |
3623916e0366994cd310da6b6f2626d7a25dc61b | Shell | mirrorai/web-tools | /trainroom/gender/train_model.sh | UTF-8 | 556 | 3.265625 | 3 | [] | no_license | #!/bin/bash
set -x
set -e
export PYTHONUNBUFFERED="True"
EXP_NAME=$1
# create log directory
LOG_DIR="exps/${EXP_NAME}/logs"
mkdir -p $LOG_DIR
# create output directory
OUT_DIR="exps/${EXP_NAME}/output"
mkdir -p $OUT_DIR
LOG="exps/${EXP_NAME}/logs/train_${EXTRA_ARGS_SLUG}.txt.`date +'%Y-%m-%d_%H-%M-%S'`"
exec &> >... | true |
51a8f3ea985fec6639d34865d7ddd81551f7ee48 | Shell | zinovyev/yiiestbook | /bootstrap.sh | UTF-8 | 3,143 | 3.140625 | 3 | [] | no_license | #!/usr/bin/env bash
#
# Vagrant nginx & php-fpm
# Vagrant basic bootstrap.sh file configuration for getting a ready to use dev solution
#
# Ivan Zinovyev <vanyazin@gmail.com>
#
# (The "ubuntu/trusty64" box was used and tested)
#
apt-get update
if ! [ -L /var/www ]; then
rm -rf /var/www
ln -fs /vagrant /var/... | true |
2a721966760319f2b32041a88e290ef75732d842 | Shell | radtek/software-emancipation-discover | /config/config/continuus/cm_diff | UTF-8 | 459 | 3.25 | 3 | [
"BSD-2-Clause"
] | permissive | #!/bin/sh
if [ "$cm_version" = "" ] ; then
version=`$PSETCFG/cm_src_version`
version=`$PSETCFG/util/prev_version $version`
else
version=$cm_version
fi
if [ "$version" = "" ] ; then
echo No previous version found
exit 1
fi
ccm diff $cm_workfile,$version $cm_workfile > $TMPDIR/$$.ccmdiff
cat $TMP... | true |
b4d27cc1a1368ba8a36de05f0726067adee6e8af | Shell | tony-dinh/music-player | /scripts/build.sh | UTF-8 | 206 | 2.609375 | 3 | [] | no_license | #!/bin/bash
ROOT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )/.." && pwd )"
pushd $ROOT_DIR
webpack --config webpack.config.js
sass $ROOT_DIR/src/app/styles/styles.scss:$ROOT_DIR/src/client/style.css
popd
| true |
9a79d595c0b10130d7bd0f64adefa5c497012dcb | Shell | brianc/node-nsqueue | /test.sh | UTF-8 | 463 | 2.609375 | 3 | [
"MIT"
] | permissive | #! /bin/bash
set -e
rm -r nsq || true
mkdir nsq
echo "extracting nsqd"
tar -xzvf nsq.tar.gz -C nsq --strip-components=1 **/bin/nsqd
echo "generating key"
openssl req -x509 -newkey rsa:2048 -keyout nsq/key.pem -out nsq/cert.pem -days 365 -nodes -subj "/C=US/ST=Denial/L=Springfield/O=Dis/CN=localhost"
echo "starting ns... | true |
864efa29e9979fdb80ea4be4aa3f759e77f13c6c | Shell | ANDRESOTELO/holberton-system_engineering-devops | /0x04-loops_conditions_and_parsing/6-superstitious_numbers | UTF-8 | 327 | 3.484375 | 3 | [] | no_license | #!/usr/bin/env bash
# This script is displaying numbers 1 to 20
a=1
while [ "$a" -le 20 ]
do
case $a in
4)
echo "$a" ; echo "bad luck from China"
;;
9)
echo "$a" ; echo "bad luck from Japan"
;;
17)
echo "$a" ; echo "bad luck from Italy"
;;
*)
echo "$a"
;;
esac
(( a ++)... | true |
fb540d05f324b4b325b03b1e4c1fb23b86906d3a | Shell | angelmunozs/samplecleaner | /scripts/bash/testClean.sh | UTF-8 | 237 | 2.734375 | 3 | [] | no_license | # Ejecuta el script de limpieza de audio varias veces seguidas para obtener estadísticas
max=20
for ((i = 1; i <= $max; ++i));
do
echo "Test #$i"
python scripts/python/clean.py test/dirty/Raphael\ -\ Yo\ soy\ aquel.wav 70 1 20 1
done | true |
3188abb05459c8b395e22fd076a525eec3845143 | Shell | ledakis/picluster | /node-master.sh | UTF-8 | 637 | 3.328125 | 3 | [
"Unlicense"
] | permissive | #!/usr/bin/env bash
# this will run the master tasks on boot
# if this node is not the master it will
# give 60 seconds for the master to
# set itself up first
boot_master_file="/boot/picluster/master"
mac_addr=$(cat /sys/class/net/eth0/address | tr -d ":")
if [ -f $boot_master_file ]; then
echo $mac_addr > /home... | true |
f513cd5fa9c0d7d4092ea35f630f3922cf1ab15e | Shell | yuweijun/dotfiles | /config/bash-it.sh | UTF-8 | 626 | 3.40625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
if [[ "$SHELL" =~ "zsh" ]]; then
exit 0
fi
cd "$(dirname $0)"
DIR=${DIR:-$(pwd)}
RCFILE="${HOME}/.bashrc"
if [ ! -d "${DIR}/dircolors-solarized" ]; then
git clone --depth=1 https://github.com/yuweijun/bash-it.git "${DIR}/bash-it"
fi
ln -sfn ${DIR}/bash-it ${HOME}/.bash-it
cd ${HOME}/.bash-it
./... | true |
8ef0635a1781215373c83e28ca3749229e237389 | Shell | lhulot/cloudstack | /DEBIAN_initd_cloud-get-userdata | UTF-8 | 3,815 | 3.75 | 4 | [] | no_license | #!/bin/bash
### BEGIN INIT INFO
# Provides: cloud-get-userdata
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Should-Start: $named
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Script userdata
# Description: Execute userdata command
... | true |
5cec7572a300cdd5d47fb77bf1e4bd322ab596b7 | Shell | tmenjo/misc | /sed-xstartup.sh | UTF-8 | 436 | 2.625 | 3 | [] | no_license | #!/bin/bash
export LANG=C LC_ALL=C
set -xueo pipefail
vars='\
export XKL_XMODMAP_DISABLE=1\
unset SESSION_MANAGER\
unset DBUS_SESSION_BUS_ADDRESS'
commands='\
gnome-session &\
gnome-panel &\
gnome-settings-daemon &\
metacity &\
nautilus &\
gnome-terminal &'
sed -i.bak \
-e '/^# exec \/etc\/X11\/xinit\/xinitrc/a '"$... | true |
36f870aa56a29afa949f6ad3f7650de892290911 | Shell | daos-stack/code_review | /check_make_output.sh | UTF-8 | 1,282 | 4.125 | 4 | [] | no_license | #!/bin/bash
# This is intended to be run in a Jenkins review job.
# Input
# GERRIT_PROJECT and GIT_BRANCH are set by Jenkins
# MAKE_OUTPUT is the file with the build output log.
# PROJECT_REPO is the directory for the source files.
# Needs to be set if is not the same directory as GERRIT_PROJECT
# shellche... | true |
2661d486b01085e86c6f0d88db252efbbf2786ae | Shell | flora5/manager | /log2_new-0903/log2/net/icmppack.sh | GB18030 | 2,065 | 3.625 | 4 | [] | no_license | #!/bin/sh
#
#get_memory_prerformance
# 1.1.1.1 ӿڸ
# ӿڴָ
# 1.1.1.2
#
# 1.1.1.3
# total ϵͳڴ
# used ûڴ
# free ڴ
exists()
{
type $1 2&>1 /dev/null
retcode=$?
return $retcode
}
AIX(){
if ping -c 1 -w 1 $1 >/dev/null
then
echo $?
else
ping -c 5 -q $1 > /dev/null; echo $?;
fi
}
Digital(){ ... | true |
762b2a82f7544683055ae6aefe96a13ef6173c18 | Shell | applariatw3/mapr-components | /mapr_core/scripts/mapr-create-user.sh | UTF-8 | 2,397 | 4.03125 | 4 | [] | no_license | #!/bin/bash
#Create a user for mapr environment, defaults to the MAPR admin user
#This script replaces the create_user function in mapr-setup.sh since we are not using
#mapr-setup.sh to "start" the container
#This script is called by entrypoint.sh with command line arguments User UID Group GID Password
#TO DO: update ... | true |
85f8390a1f287fa0f25a6ffcf3e886807beecfc0 | Shell | joboyd4/LAMPInstall | /deploy_LAMP2.sh | UTF-8 | 1,016 | 2.9375 | 3 | [] | no_license | #!/bin/bash
#Ensuring proper groups are assigned
groups
#Setting up Elastic Block Storage
lsblk
sudo file -s /dev/xvdf
sudo mkfs -t ext4 /dev/xvdf
sudo mkdir /var/www/html/myApps
sudo mount /dev/xvdf /var/www/html/myApps
sudo cp /etc/fstab /etc/fstab.orig
echo "Please enter UUID listed above so Elastic Block Storage ca... | true |
2ce63a43fb8bca8f01cca97e9f7aa28231fdce12 | Shell | fmchowdhury/HyREX | /hyrex_sen_run.sh | UTF-8 | 9,803 | 3.140625 | 3 | [
"Apache-2.0"
] | permissive |
#####################################################
# Train and test using SVM-Light-TK-1.5
#####################################################
# Run the tool
fnRun()
{
Parameters="-t $1 -C $2 -F $3 -c $4 -b $5 -L $6 -M $7 -m $8 -U $9 -T $T -V L -d $d"
echo $Parameters >> $TRACE_FILE
cd $SVM_LIGHT_TK
decl... | true |
a07e9f5c59b9b22ba3c9f3e0f4ab390dd31fb1de | Shell | 06b/piholeparser | /scripts/TopLevelScripts/15-Processing-Top-Level-Domains/99-Clearing-Temp-Vars.sh | UTF-8 | 145 | 2.8125 | 3 | [
"WTFPL"
] | permissive | #!/bin/bash
##
## Variables
SCRIPTDIRA=$(dirname $0)
source "$SCRIPTDIRA"/foldervars.var
if
[[ -f $TEMPPARSEVARS ]]
then
rm $TEMPPARSEVARS
fi
| true |
c61c0e6deb4b34f60406abc2e62682d29046d4ee | Shell | TwistedChimera/unix4 | /menu | UTF-8 | 11,931 | 3.453125 | 3 | [] | no_license | #!/bin/bash
#Database credentials
MASTER_DB_USER='pi'
MASTER_DB_PASSWD='mitUnix06'
MASTER_DB_PORT='3160'
MASTER_DB_HOST='localhost'
MASTER_DB_NAME='qr'
#Temp file
tmp_file=$(mktemp /tmp/tempXXX)
trap "rm -f $tmp_file" 0 1 2 5 15
#Global variables
DAY="" #Input from do_schedule
FN=""
LN=""
MN=""
SN=""
EM=""
SS=""
SE... | true |
6c6472d0c115acf9d025ef3479416aedb320c4c1 | Shell | mywanuo/HUSH_analysis | /DGEA/run_htseq-count.sh | UTF-8 | 769 | 2.734375 | 3 | [] | no_license | #!/bin/bash -l
#$ -S /bin/bash
#$ -l h_rt=10:00:0
#$ -l h_vmem=7G
#$ -N htseqCount
#$ -cwd
#$ -j y
echo "=========================================================="
echo "Starting on : $(date)"
echo "Running on node : $(hostname)"
echo "Current directory : $(pwd)"
echo "Current job ID : $JOB_ID"
echo "================... | true |
ecf73e99ed9d389163f6f3d3c5dbf15e02c2a774 | Shell | n2bh/WiredServer | /install.sh | UTF-8 | 6,617 | 2.78125 | 3 | [] | no_license | #!/bin/sh
SOURCE="$1"
LIBRARY="$2"
MIGRATE="$3"
WIREDDIR="Wired2"
install -m 775 -d "$LIBRARY/$WIREDDIR" || exit 1
install -m 755 -d "$LIBRARY/$WIREDDIR/etc/" || exit 1
if [ ! -f "$LIBRARY/$WIREDDIR/banlist" ]; then
install -m 644 "$SOURCE/Wired/banlist" "$LIBRARY/$WIREDDIR" || exit 1
fi
install -m 644 "$SOURCE/Wi... | true |
485ef05ef491a04206167a911a2a9e55a167aacf | Shell | scimerc/utilities | /progs/refproc.sh | UTF-8 | 4,131 | 3.6875 | 4 | [] | no_license | #!/usr/bin/env bash
# exit on error
set -ETeuo pipefail
# get parent dir of this script
declare -r BASEDIR="$( cd "$( dirname $0 )" && cd .. && pwd )"
bcftoolsexec=${BASEDIR}/lib/3rd/bcftools
genimputeexec=${BASEDIR}/lib/progs/genimpute.sh
#---------------------------------------------------------------------------... | true |
0fd7a2ea5751b80347b2fd89f47ed9e3a443ed8b | Shell | mam-mih-val/reader | /batch/batch_run.sh | UTF-8 | 590 | 2.984375 | 3 | [] | no_license | #!/bin/bash
format='+%Y/%m/%d-%H:%M:%S'
date $format
job_num=$(($SLURM_ARRAY_TASK_ID))
output_file=$output_dir/$job_num
input_file=`sed -n "${job_num}p" < $file_list`
echo "loading " $hadesroot
source $hadesroot
echo "executing $executable $cmd --signal $signal --perchannel $channelSelection --min $minSignal --max... | true |
a02ec1b89bbbbb9572ff19960ad0caa5ef750a49 | Shell | tommy10344/environment | /dotfiles/vim/link.sh | UTF-8 | 637 | 2.859375 | 3 | [] | no_license | #!/bin/sh
BASE_DIR=$(cd $(dirname $0);pwd)
ln -sfn "${BASE_DIR}/vimrc" "${HOME}/.vimrc"
ln -sfn "${BASE_DIR}/gvimrc" "${HOME}/.gvimrc"
# ln -sfn "${BASE_DIR}/vimshrc" "${HOME}/.vimshrc"
# vim
mkdir -p "${HOME}/.vim"
ln -sfn "${BASE_DIR}/rc" "${HOME}/.vim/"
ln -sfn "${BASE_DIR}/ftplugin" "${HOME}/.vim/"... | true |
2ccd880bc965b80cb036e562cf274974e01321d1 | Shell | slaclab/cryosparc-docker | /entrypoint.bash | UTF-8 | 5,605 | 3.859375 | 4 | [] | no_license | #!/bin/bash -x
function setup_user() {
id -u ${U_NAME} 2> /dev/null 1>&2
if [ $? -ne 0 ]; then
make_user
fi
}
function make_user() {
# If EXTERNAL_UID is not set, we just use the standard system generated
# UID.
# If we can get a good value, the UID and GID will both be that.
# Reje... | true |
8f57f2083daef71cafb980248122e36151681d3b | Shell | nthorne/nthorne-zsh-environment | /profiles/work.zshrc | UTF-8 | 6,386 | 3.078125 | 3 | [] | no_license | ### work.zshrc
### - settings for when at work
###
# vim: set filetype=zsh :
### }}}
### sourced modules {{{
###
source ~/.zsh/lib/common.zsh
# function read_current_project() {{{
# read the configuration file that details current project,
# if one such file exists
function read_current_project()
{
if [[ ! ... | true |
83354feea583b72e00de0992cc4bd01feab00728 | Shell | moparisthebest/arch-ppa | /src/ipxe-netboot/PKGBUILD | UTF-8 | 2,136 | 2.65625 | 3 | [
"MIT"
] | permissive | # Maintainer: Lily Wilson <hotaru@thinkindifferent.net>
# Contributor: Thomas Bächler <thomas@archlinux.org>
pkgname=ipxe-netboot
pkgver=r5925.3fe683eb
pkgrel=1
pkgdesc="iPXE build for Arch Linux netboot"
arch=('i686' 'x86_64')
url="http://ipxe.org"
license=('GPL')
makedepends=('git'
'gcc'
'bi... | true |
bef446289dd77432e6f56c4adcca9e6ae1f48364 | Shell | galaxyeye/warps-scripts | /rtail_all.sh | UTF-8 | 345 | 3.15625 | 3 | [] | no_license | #bin
bin=`dirname "${BASH_SOURCE-$0}"`
bin=`cd "$bin">/dev/null; pwd`
. "$bin"/detect-env.sh
function call_rtail_all() {
echo
echo
echo "-------------------------------------------------------------------"
echo "$1 : "
rsh $1 $bin/tail-all-logs.sh
}
call_rtail_all master
for SLAVE in $SLAVES; do
call_... | true |
56447bb375af64e6fc672685ea5dc7c3766c1ee8 | Shell | qingwei91/my-setup | /setup-auto.sh | UTF-8 | 1,654 | 2.921875 | 3 | [] | no_license | #!/bin/bash
set -eo pipefail # exit on error
/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"
brew install --cask iterm2
brew install --cask google-chrome
sh -c "$(curl -fsSL https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh)"
# Xcode is needed by... | true |
05a158a2a878fe58c0f158b9cf6b585d5dbef785 | Shell | kumattau/mpi-report | /build.sh | UTF-8 | 375 | 2.953125 | 3 | [] | no_license | #!/bin/bash
set -e
base=base/mpi-report-j-embedded-win.pdf
resl=150
outp=mpi-report-j-ocr.pdf
mkdir -p pgm
mkdir -p gif
pdftoppm -r $resl -gray $base pgm/image
for i in pgm/image-*.pgm
do
ppmtogif $i > gif/`basename $i .pgm`.gif
done
echo "pause for gif optimization (press key if continue)"
read
convert -quali... | true |
1e37fde9070582d780c57c6f46c203bf800c535c | Shell | pnsn/squacapi | /scripts/aws/after_install-ec2-user.sh | UTF-8 | 1,463 | 3.265625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
APP_ROOT=/var/www/squacapi
dest=$APP_ROOT/releases/$DEPLOYMENT_GROUP_NAME/$DEPLOYMENT_ID
mkdir -p $dest
# Move app out of tmp and into destination
mv $APP_ROOT/releases/tmp/* $dest
# Copy environment file
aws s3 cp s3://squacapi-config/bash/squacapi-$DEPLOYMENT_GROUP_NAME.env $dest/app/.env
source $dest/... | true |
f0cafddbaae7e0994931ea073cba781caf1fa3d1 | Shell | d-lopes/cf-auto-deploy | /example-scripts/post-processing_99-notify-end.sh | UTF-8 | 444 | 2.78125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
SLACK_NOTIFICATION_WEBHOOK="https://hooks.slack.com/services/your_webhoook_id"
SLACK_MSG="Version \`$VERSION\` was successfully deployed to \`$CF_SPACE\` - :checkered_flag:"
PAYLOAD="{\"text\":\"${SLACK_MSG}\",\"username\": \"deployment-script\",\"icon_emoji\": \":robot_face:\"}"
# send notification to s... | true |
14c8dddb6f07ca4657c2ca7c36eb22835d314de1 | Shell | fagnerpsantos/sistemas-embarcados | /umidade/cpp/sensoriamentod/init.d | UTF-8 | 2,811 | 3.8125 | 4 | [] | no_license | #!/bin/bash
#
# Daemon Name: sensoriamentod
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DPATH=/home/fagnerpsantos/Developer/Arduino/sistemas-embarcados/umidade/cpp/sensoriamentod/Release
DESC="Sensoriamento de sensores"
NAME=sensoriamentod
DAEMON=$DPATH/$NAME
DAEMON_ARGS=$DPATH
PIDFILE=/var/run/$NAME.pid
# Exit if the package ... | true |
95403ed4e355f3e5cbf6d729b314e3636cf12480 | Shell | attacker-codeninja/Markdown-Bug-Bounty-Recon | /Mobile/pushing_frida_to_emulator.sh | UTF-8 | 733 | 2.765625 | 3 | [] | no_license | #!/bin/bash -x
# FRIDA
newest_frida_version=$(frida --version)
phone_architecture=$(adb shell getprop ro.product.cpu.abi)
wget https://github.com/frida/frida/releases/download/"${newest_frida_version}"/frida-server-"${newest_frida_version}"-android-"${phone_architecture}".xz
unxz frida-server-"${newest_frida_version... | true |
cf8c04a57a0b7ef84114dccbb34c63295a632a69 | Shell | trueos/lpreserver | /install.sh | UTF-8 | 678 | 3.578125 | 4 | [
"BSD-2-Clause"
] | permissive | #!/bin/sh
if [ -z "$1" ] ; then
STAGEDIR="/usr/local"
else
STAGEDIR="$1"
fi
# lpreserver install script
PROGDIR="${STAGEDIR}/share/lpreserver"
mkdir -p ${PROGDIR} >/dev/null 2>/dev/null
DIR=`dirname $0`
cd ${DIR}
cp lpreserver ${STAGEDIR}/bin/lpreserver
chmod 755 ${STAGEDIR}/bin/lpreserver
cp lpreserver-hos... | true |
5a818e42eb644e12a6193658d6666cca655023ec | Shell | NeowayLabs/klb | /tests/azure/testdata/create_public_ip.sh | UTF-8 | 418 | 2.828125 | 3 | [] | no_license | #!/usr/bin/env nash
import klb/azure/public_ip
import klb/azure/login
resgroup = $ARGS[1]
name = $ARGS[2]
location = $ARGS[3]
allocation = "Static"
if len($ARGS) == "5" {
allocation = $ARGS[4]
}
azure_login()
azure_public_ip_create($name, $resgroup, $location, $allocation)
public_ip_address, err <= azur... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.